# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.gef.EditPart
Modifier and Type
Constant Field
Value
`public static final int`
`SELECTED`
`1`
`public static final int`
`SELECTED_NONE`
`0`
`public static final int`
`SELECTED_PRIMARY`
`2`
org.eclipse.gef.EditPolicy
Modifier and Type
Constant Field
Value
`public static final String`
`COMPONENT_ROLE`
`"ComponentEditPolicy"`
`public static final String`
`CONNECTION_BENDPOINTS_ROLE`
`"Connection Bendpoint Policy"`
`public static final String`
`CONNECTION_ENDPOINTS_ROLE`
`"Connection Endpoint Policy"`
`public static final String`
`CONNECTION_ROLE`
`"ConnectionEditPolicy"`
`public static final String`
`CONTAINER_ROLE`
`"ContainerEditPolicy"`
`public static final String`
`DIRECT_EDIT_ROLE`
`"DirectEditPolicy"`
`public static final String`
`GRAPHICAL_NODE_ROLE`
`"GraphicalNodeEditPolicy"`
`public static final String`
`LAYOUT_ROLE`
`"LayoutEditPolicy"`
`public static final String`
`NODE_ROLE`
`"NodeEditPolicy"`
`public static final String`
`PRIMARY_DRAG_ROLE`
`"PrimaryDrag Policy"`
`public static final String`
`SELECTION_FEEDBACK_ROLE`
`"Selection Feedback"`
`public static final String`
`TREE_CONTAINER_ROLE`
`"TreeContainerEditPolicy"`
org.eclipse.gef.LayerConstants
Modifier and Type
Constant Field
Value
`public static final String`
`CONNECTION_LAYER`
`"Connection Layer"`
`public static final String`
`FEEDBACK_LAYER`
`"Feedback Layer"`
`public static final String`
`GRID_LAYER`
`"Grid Layer"`
`public static final String`
`GUIDE_LAYER`
`"Guide Layer"`
`public static final String`
`HANDLE_LAYER`
`"Handle Layer"`
`public static final String`
`PRIMARY_LAYER`
`"Primary Layer"`
`public static final String`
`PRINTABLE_LAYERS`
`"Printable Layers"`
`public static final String`
`SCALABLE_LAYERS`
`"Scalable Layers"`
`public static final String`
`SCALED_FEEDBACK_LAYER`
`"Scaled Feedback Layer"`
org.eclipse.gef.RequestConstants
Modifier and Type
Constant Field
Value
`public static final String`
`REQ_ADD`
`"add children"`
`public static final String`
`REQ_ALIGN`
`"align"`
`public static final String`
`REQ_ALIGN_CHILDREN`
`"align children"`
`public static final String`
`REQ_CLONE`
`"clone"`
`public static final String`
`REQ_CONNECTION_END`
`"connection end"`
`public static final String`
`REQ_CONNECTION_START`
`"connection start"`
`public static final String`
`REQ_CREATE`
`"create child"`
`public static final String`
`REQ_CREATE_BENDPOINT`
`"create bendpoint"`
`public static final String`
`REQ_DELETE`
`"delete"`
`public static final String`
`REQ_DELETE_DEPENDANT`
`"delete dependant"`
`public static final String`
`REQ_DIRECT_EDIT`
`"direct edit"`
`public static final String`
`REQ_MOVE`
`"move"`
`public static final String`
`REQ_MOVE_BENDPOINT`
`"move bendpoint"`
`public static final String`
`REQ_MOVE_CHILDREN`
`"move children"`
`public static final String`
`REQ_OPEN`
`"open"`
`public static final String`
`REQ_ORPHAN`
`"orphan"`
`public static final String`
`REQ_ORPHAN_CHILDREN`
`"orphan children"`
`public static final String`
`REQ_RECONNECT_SOURCE`
`"Reconnection source"`
`public static final String`
`REQ_RECONNECT_TARGET`
`"Reconnection target"`
`public static final String`
`REQ_RESIZE`
`"resize"`
`public static final String`
`REQ_RESIZE_CHILDREN`
`"resize children"`
`public static final String`
`REQ_SELECTION`
`"selection"`
`public static final String`
`REQ_SELECTION_HOVER`
`"selection hover"`
org.eclipse.gef.SnapToGeometry
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_EAST_ANCHOR`
`"SnapToGeometry.EastAnchor"`
`public static final String`
`KEY_NORTH_ANCHOR`
`"SnapToGeometry.NorthAnchor"`
`public static final String`
`KEY_SOUTH_ANCHOR`
`"SnapToGeometry.SouthAnchor"`
`public static final String`
`KEY_WEST_ANCHOR`
`"SnapToGeometry.WestAnchor"`
`public static final String`
`PROPERTY_SNAP_ENABLED`
`"SnapToGeometry.isEnabled"`
`protected static final double`
`THRESHOLD`
`5.0001`
org.eclipse.gef.SnapToGrid
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_GAP`
`12`
`public static final int`
`DEFAULT_GRID_SIZE`
`12`
`public static final String`
`PROPERTY_GRID_ENABLED`
`"SnapToGrid.isEnabled"`
`public static final String`
`PROPERTY_GRID_ORIGIN`
`"SnapToGrid.GridOrigin"`
`public static final String`
`PROPERTY_GRID_SPACING`
`"SnapToGrid.GridSpacing"`
`public static final String`
`PROPERTY_GRID_VISIBLE`
`"SnapToGrid.isVisible"`
org.eclipse.gef.SnapToGuides
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_HORIZONTAL_ANCHOR`
`"SnapToGuides.HorizontalAttachment"`
`public static final String`
`KEY_HORIZONTAL_GUIDE`
`"SnapToGuides.HorizontalGuide"`
`public static final String`
`KEY_VERTICAL_ANCHOR`
`"SnapToGuides.VerticalAttachment"`
`public static final String`
`KEY_VERTICAL_GUIDE`
`"SnapToGuides.VerticalGuide"`
`protected static final double`
`THRESHOLD`
`5.001`

org.eclipse.gef.commands.CommandStack
Modifier and Type
Constant Field
Value
`public static final int`
`POST_EXECUTE`
`8`
`public static final int`
`POST_FLUSH`
`256`
`public static final int`
`POST_MARK_SAVE`
`512`
`public static final int`
`POST_MASK`
`824`
`public static final int`
`POST_REDO`
`16`
`public static final int`
`POST_UNDO`
`32`
`public static final int`
`PRE_EXECUTE`
`1`
`public static final int`
`PRE_FLUSH`
`64`
`public static final int`
`PRE_MARK_SAVE`
`128`
`public static final int`
`PRE_MASK`
`199`
`public static final int`
`PRE_REDO`
`2`
`public static final int`
`PRE_UNDO`
`4`

org.eclipse.gef.editparts.AbstractEditPart
Modifier and Type
Constant Field
Value
`protected static final int`
`FLAG_ACTIVE`
`1`
`protected static final int`
`FLAG_FOCUS`
`2`
`protected static final int`
`MAX_FLAG`
`2`

org.eclipse.gef.handles.MoveHandle
Modifier and Type
Constant Field
Value
`protected static final int`
`INNER_PAD`
`2`
org.eclipse.gef.handles.SquareHandle
Modifier and Type
Constant Field
Value
`protected static final int`
`DEFAULT_HANDLE_SIZE`
`7`

org.eclipse.gef.palette.PaletteContainer
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_CHILDREN`
`"Children Changed"`
org.eclipse.gef.palette.PaletteDrawer
Modifier and Type
Constant Field
Value
`public static final int`
`INITIAL_STATE_CLOSED`
`1`
`public static final int`
`INITIAL_STATE_OPEN`
`0`
`public static final int`
`INITIAL_STATE_PINNED_OPEN`
`2`
`public static final int`
`INITIAL_STATUS_PINNED_OPEN`
`2`
`public static final String`
`PROPERTY_INITIAL_STATUS`
`"Initial status"`
org.eclipse.gef.palette.PaletteEntry
Modifier and Type
Constant Field
Value
`public static final String`
`PALETTE_TYPE_UNKNOWN`
`"Palette_type_Unknown"`
`public static final int`
`PERMISSION_FULL_MODIFICATION`
`15`
`public static final int`
`PERMISSION_HIDE_ONLY`
`3`
`public static final int`
`PERMISSION_LIMITED_MODIFICATION`
`7`
`public static final int`
`PERMISSION_NO_MODIFICATION`
`1`
`public static final String`
`PROPERTY_DEFAULT`
`"Default"`
`public static final String`
`PROPERTY_DESCRIPTION`
`"Description"`
`public static final String`
`PROPERTY_LABEL`
`"Name"`
`public static final String`
`PROPERTY_LARGE_ICON`
`"Large Icon"`
`public static final String`
`PROPERTY_PARENT`
`"Parent"`
`public static final String`
`PROPERTY_SMALL_ICON`
`"Small Icon"`
`public static final String`
`PROPERTY_TYPE`
`"Type"`
`public static final String`
`PROPERTY_VISIBLE`
`"Visible"`
org.eclipse.gef.palette.PaletteGroup
Modifier and Type
Constant Field
Value
`public static final String`
`PALETTE_TYPE_GROUP`
`"Palette_Group"`
org.eclipse.gef.palette.PaletteStack
Modifier and Type
Constant Field
Value
`public static final String`
`PALETTE_TYPE_STACK`
`"$PaletteStack"`
`public static final String`
`PROPERTY_ACTIVE_ENTRY`
`"Active Entry"`
org.eclipse.gef.palette.PaletteTemplateEntry
Modifier and Type
Constant Field
Value
`public static final String`
`PALETTE_TYPE_TEMPLATE`
`"$Palette Template"`
org.eclipse.gef.palette.PaletteToolbar
Modifier and Type
Constant Field
Value
`public static final String`
`PALETTE_TYPE_TOOLBAR_GROUP`
`"Palette_Toolbar_Group"`

org.eclipse.gef.rulers.RulerProvider
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_HORIZONTAL_RULER`
`"horizontal ruler"`
`public static final String`
`PROPERTY_RULER_VISIBILITY`
`"ruler$visibility"`
`public static final String`
`PROPERTY_VERTICAL_RULER`
`"vertical ruler"`
`public static final int`
`UNIT_CENTIMETERS`
`1`
`public static final int`
`UNIT_CUSTOM`
`3`
`public static final int`
`UNIT_INCHES`
`0`
`public static final int`
`UNIT_PIXELS`
`2`

org.eclipse.gef.tools.AbstractConnectionCreationTool
Modifier and Type
Constant Field
Value
`protected static final int`
`MAX_FLAG`
`64`
`protected static final int`
`MAX_STATE`
`64`
`protected static final int`
`STATE_CONNECTION_STARTED`
`64`
org.eclipse.gef.tools.AbstractTool
Modifier and Type
Constant Field
Value
`protected static final int`
`MAX_FLAG`
`8`
`protected static final int`
`MAX_STATE`
`32`
`protected static final int`
`MOUSE_BUTTON1`
`524288`
`protected static final int`
`MOUSE_BUTTON2`
`1048576`
`protected static final int`
`MOUSE_BUTTON3`
`2097152`
`protected static final int`
`STATE_ACCESSIBLE_DRAG`
`16`
`protected static final int`
`STATE_ACCESSIBLE_DRAG_IN_PROGRESS`
`32`
`protected static final int`
`STATE_DRAG`
`2`
`protected static final int`
`STATE_DRAG_IN_PROGRESS`
`4`
`protected static final int`
`STATE_INITIAL`
`1`
`protected static final int`
`STATE_INVALID`
`8`
`protected static final int`
`STATE_TERMINAL`
`1073741824`
org.eclipse.gef.tools.ConnectionEndpointTracker
Modifier and Type
Constant Field
Value
`protected static final int`
`MAX_FLAG`
`64`
org.eclipse.gef.tools.DragEditPartsTracker
Modifier and Type
Constant Field
Value
`protected static final int`
`MAX_FLAG`
`256`
org.eclipse.gef.tools.MarqueeSelectionTool
Modifier and Type
Constant Field
Value
`public static final int`
`BEHAVIOR_CONNECTIONS_CONTAINED`
`6`
`public static final int`
`BEHAVIOR_CONNECTIONS_TOUCHED`
`2`
`public static final int`
`BEHAVIOR_NODES_AND_CONNECTIONS`
`3`
`public static final int`
`BEHAVIOR_NODES_CONTAINED`
`1`
`public static final int`
`BEHAVIOR_NODES_CONTAINED_AND_RELATED_CONNECTIONS`
`3`
`public static final int`
`BEHAVIOR_NODES_TOUCHED`
`4`
`public static final int`
`BEHAVIOR_NODES_TOUCHED_AND_RELATED_CONNECTIONS`
`5`
`public static final int`
`DEFAULT_MARQUEE_BEHAVIOR`
`1`
org.eclipse.gef.tools.PanningSelectionTool
Modifier and Type
Constant Field
Value
`protected static final int`
`MAX_STATE`
`256`
`protected static final int`
`PAN`
`128`
`protected static final int`
`PAN_IN_PROGRESS`
`256`
org.eclipse.gef.tools.SelectEditPartTracker
Modifier and Type
Constant Field
Value
`protected static final int`
`FLAG_SELECTION_PERFORMED`
`64`
`protected static final int`
`MAX_FLAG`
`128`
org.eclipse.gef.tools.SelectionTool
Modifier and Type
Constant Field
Value
`protected static final int`
`MAX_FLAG`
`64`
`protected static final int`
`MAX_STATE`
`64`
`protected static final int`
`STATE_TRAVERSE_HANDLE`
`64`
org.eclipse.gef.tools.SimpleDragTracker
Modifier and Type
Constant Field
Value
`protected static final int`
`MAX_FLAG`
`16`
org.eclipse.gef.tools.TargetingTool
Modifier and Type
Constant Field
Value
`protected static final int`
`MAX_FLAG`
`32`

org.eclipse.gef.ui.actions.AlignmentAction
Modifier and Type
Constant Field
Value
`public static final String`
`ID_ALIGN_BOTTOM`
`"org.eclipse.gef.align_bottom"`
`public static final String`
`ID_ALIGN_CENTER`
`"org.eclipse.gef.align_center"`
`public static final String`
`ID_ALIGN_LEFT`
`"org.eclipse.gef.align_left"`
`public static final String`
`ID_ALIGN_MIDDLE`
`"org.eclipse.gef.align_middle"`
`public static final String`
`ID_ALIGN_RIGHT`
`"org.eclipse.gef.align_right"`
`public static final String`
`ID_ALIGN_TOP`
`"org.eclipse.gef.align_top"`
org.eclipse.gef.ui.actions.DirectEditAction
Modifier and Type
Constant Field
Value
`public static final String`
`ID`
`"org.eclipse.gef.direct_edit"`
org.eclipse.gef.ui.actions.GEFActionConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ALIGN_BOTTOM`
`"org.eclipse.gef.align_bottom"`
`public static final String`
`ALIGN_CENTER`
`"org.eclipse.gef.align_center"`
`public static final String`
`ALIGN_LEFT`
`"org.eclipse.gef.align_left"`
`public static final String`
`ALIGN_MIDDLE`
`"org.eclipse.gef.align_middle"`
`public static final String`
`ALIGN_RIGHT`
`"org.eclipse.gef.align_right"`
`public static final String`
`ALIGN_TOP`
`"org.eclipse.gef.align_top"`
`public static final String`
`CONTEXT_TEXT`
`"org.eclipse.gef.textContext"`
`public static final String`
`DIRECT_EDIT`
`"org.eclipse.gef.direct_edit"`
`public static final String`
`GROUP_COPY`
`"org.eclipse.gef.group.copy"`
`public static final String`
`GROUP_EDIT`
`"org.eclipse.gef.group.edit"`
`public static final String`
`GROUP_FIND`
`"org.eclipse.gef.group.find"`
`public static final String`
`GROUP_PRINT`
`"org.eclipse.gef.group.print"`
`public static final String`
`GROUP_REST`
`"org.eclipse.gef.group.rest"`
`public static final String`
`GROUP_SAVE`
`"org.eclipse.gef.group.save"`
`public static final String`
`GROUP_UNDO`
`"org.eclipse.gef.group.undo"`
`public static final String`
`GROUP_VIEW`
`"org.eclipse.gef.group.view"`
`public static final String`
`MATCH_HEIGHT`
`"org.eclipse.gef.match.height"`
`public static final String`
`MATCH_SIZE`
`"org.eclipse.gef.match.size"`
`public static final String`
`MATCH_WIDTH`
`"org.eclipse.gef.match.width"`
`public static final String`
`TOGGLE_GRID_VISIBILITY`
`"org.eclipse.gef.toggle_grid_visibility"`
`public static final String`
`TOGGLE_RULER_VISIBILITY`
`"org.eclipse.gef.toggle_ruler_visibility"`
`public static final String`
`TOGGLE_SNAP_TO_GEOMETRY`
`"org.eclipse.gef.toggle_snapto_geometry"`
`public static final String`
`ZOOM_IN`
`"org.eclipse.gef.zoom_in"`
`public static final String`
`ZOOM_OUT`
`"org.eclipse.gef.zoom_out"`
`public static final String`
`ZOOM_TOOLBAR_WIDGET`
`"org.eclipse.gef.zoom_widget"`

org.eclipse.gef.ui.palette.FlyoutPaletteComposite
Modifier and Type
Constant Field
Value
`public static final int`
`STATE_COLLAPSED`
`2`
`public static final int`
`STATE_PINNED_OPEN`
`4`
org.eclipse.gef.ui.palette.PaletteViewerPreferences
Modifier and Type
Constant Field
Value
`public static final int`
`COLLAPSE_ALWAYS`
`2`
`public static final int`
`COLLAPSE_AS_NEEDED`
`0`
`public static final int`
`COLLAPSE_NEVER`
`1`
`public static final int`
`LAYOUT_COLUMNS`
`1`
`public static final int`
`LAYOUT_DETAILS`
`3`
`public static final int`
`LAYOUT_FOLDER`
`1`
`public static final int`
`LAYOUT_ICONS`
`2`
`public static final int`
`LAYOUT_LIST`
`0`
`public static final String`
`PREFERENCE_AUTO_COLLAPSE`
`"Auto-Collapse Setting"`
`public static final String`
`PREFERENCE_COLUMNS_ICON_SIZE`
`"Use Large Icons - Columns"`
`public static final String`
`PREFERENCE_DETAILS_ICON_SIZE`
`"Use Large Icons - Details"`
`public static final String`
`PREFERENCE_FOLDER_ICON_SIZE`
`"Use Large Icons - Columns"`
`public static final String`
`PREFERENCE_FONT`
`"Palette Font"`
`public static final String`
`PREFERENCE_ICONS_ICON_SIZE`
`"Use Large Icons - Icons"`
`public static final String`
`PREFERENCE_LAYOUT`
`"Layout Setting"`
`public static final String`
`PREFERENCE_LIST_ICON_SIZE`
`"Use Large Icons - List"`
`public static final String`
`PREFERENCE_SCROLLBARS_MODE`
`"Scrollbars Mode"`

org.eclipse.gef.ui.palette.customize.PaletteCustomizerDialog
Modifier and Type
Constant Field
Value
`protected static final int`
`APPLY_ID`
`1025`
`protected static final int`
`CLIENT_ID`
`16`
org.eclipse.gef.ui.palette.customize.PaletteSettingsDialog
Modifier and Type
Constant Field
Value
`protected static final int`
`APPLY_ID`
`1035`
`protected static final String`
`CACHE_COLLAPSE`
`"auto-collapse setting"`
`protected static final String`
`CACHE_COLUMNS_ICON_SIZE`
`"columns - use large icons"`
`protected static final String`
`CACHE_DETAILS_ICON_SIZE`
`"details - use large icons"`
`protected static final String`
`CACHE_FONT`
`"font"`
`protected static final String`
`CACHE_ICONS_ICON_SIZE`
`"icons only - use large icons"`
`protected static final String`
`CACHE_LAYOUT`
`"layout setting"`
`protected static final String`
`CACHE_LIST_ICON_SIZE`
`"list - use large icons"`
`protected static final int`
`CLIENT_ID`
`16`
`protected static final int`
`COLLAPSE_ALWAYS_ID`
`1033`
`protected static final int`
`COLLAPSE_NEEDED_ID`
`1034`
`protected static final int`
`COLLAPSE_NEVER_ID`
`1032`
`protected static final int`
`DEFAULT_FONT_ID`
`1038`
`protected static final int`
`FONT_CHANGE_ID`
`1037`
`protected static final int`
`LAYOUT_COLUMNS_ICON_SIZE_ID`
`1028`
`protected static final int`
`LAYOUT_COLUMNS_VIEW_ID`
`1025`
`protected static final int`
`LAYOUT_DETAILS_ICON_SIZE_ID`
`1031`
`protected static final int`
`LAYOUT_DETAILS_VIEW_ID`
`1036`
`protected static final int`
`LAYOUT_ICONS_ICON_SIZE_ID`
`1030`
`protected static final int`
`LAYOUT_ICONS_VIEW_ID`
`1027`
`protected static final int`
`LAYOUT_LIST_ICON_SIZE_ID`
`1029`
`protected static final int`
`LAYOUT_LIST_VIEW_ID`
`1026`

org.eclipse.gef.ui.views.palette.PaletteView
Modifier and Type
Constant Field
Value
`public static final String`
`ID`
`"org.eclipse.gef.ui.palette_view"`